"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
const path_1 = require("path");
exports.plugin = async (schema) => {
    const introspection = graphql_1.introspectionFromSchema(schema, { descriptions: true });
    return JSON.stringify(introspection);
};
exports.validate = async (schema, documents, config, outputFile) => {
    if (path_1.extname(outputFile) !== '.json') {
        throw new Error(`Plugin "introspection" requires extension to be ".json"!`);
    }
};
//# sourceMappingURL=index.js.map